### Method

# Ide DeployStrategy deploy_async

#### Declaration

    void
    ide_deploy_strategy_deploy_async (
      IdeDeployStrategy* self,
      IdePipeline* pipeline,
      GFileProgressCallback progress,
      gpointer progress_data,
      GDestroyNotify progress_data_destroy,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Requests that the `IdeDeployStrategy` deploy the application to the configured device in the build pipeline.

If supported, the strategy will call `progress` with periodic updates as the application is deployed.

Available since: | 3.32

#### Parameters

`pipeline` | `IdePipeline`
| An `IdePipeline`.
| The data is owned by the caller of the function.
`progress` | `GFileProgressCallback`
| a `GFileProgressCallback` or `NULL`.
| The argument can be `NULL`.
`progress_data` | `gpointer`
| Closure data for `progress` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`progress_data_destroy` | `GDestroyNotify`
| Destroy callback for `progress_data`.
| The argument can be `NULL`.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to execute upon completion.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.